{ config, pkgs, ... }:

{
  home.packages = with pkgs; [
    ffmpeg-full
    x11vnc
  ];

  programs = {
    chromium.enable = true;
    home-manager.enable = true;
    htop.enable = true;
    obs-studio = {
      enable = true;
      plugins = with pkgs; [ obs-linuxbrowser obs-v4l2sink obs-wlrobs ];
    };
  };

  systemd.user.services.x11vnc = let
in {
    Unit.Description = "x11vnc";
    Install.WantedBy = [ "graphical-session.target" ];
    Service = {
      #Type = "forking";
      ExecStart = "${pkgs.x11vnc}/bin/x11vnc -ncache 10 -auth /run/user/1000/gdm/Xauthority -forever";
    };
  };

  # Home Manager needs a bit of information about you and the
  # paths it should manage.
  home.username = "chch";
  home.homeDirectory = "/home/chch";

  # This value determines the Home Manager release that your
  # configuration is compatible with. This helps avoid breakage
  # when a new Home Manager release introduces backwards
  # incompatible changes.
  #
  # You can update Home Manager without changing this value. See
  # the Home Manager release notes for a list of state version
  # changes in each release.
  home.stateVersion = "21.03";
}
